<template>
  <div id="videoDetail">
    <el-row>
      <el-col :span="24" class="info">
        <el-col :span="24" class="video">
          <video :src="file_path" controls="controls" style="height: 200px; width: 100%;">
            您的浏览器不支持 video 标签。
          </video>
        </el-col>
        <el-col :span="24" class="chat">
          <!-- <el-col :span="24" class="chatList">
            聊天列表
          </el-col>
          <el-col :span="24" class="chatInput">
            <el-col :span="19" class="input">
              <el-input v-model="input"></el-input>
            </el-col>
            <el-col :span="5" class="btn">
              <el-button type="primary" size="mini" @click="onSubmit">发送</el-button>
            </el-col>
          </el-col> -->
          <chat></chat>
        </el-col>
      </el-col>
    </el-row>
  </div>
</template>

<script>
import { mapState, createNamespacedHelpers } from 'vuex';
const { mapActions: dock } = createNamespacedHelpers('dock');
import chat from '@/components/parts/chat.vue';
export default {
  name: 'videoDetail',
  props: {},
  components: {
    chat,
  },
  data: function() {
    return {
      input: '',
      file_path: '',
    };
  },
  created() {
    this.seachInfo();
  },
  methods: {
    ...dock({ dockQuery: 'query', palcefetch: 'fetch' }),
    async seachInfo() {
      let res = await this.palcefetch(this.id);
      if (this.$checkRes(res)) {
        this.$set(this, `file_path`, res.data.file_path);
        console.log(res.data.file_path);
      }
    },
    onSubmit() {
      console.log(this.input);
    },
  },
  computed: {
    ...mapState(['user']),
    id() {
      return this.$route.query.id;
    },
    pageTitle() {
      return `${this.$route.meta.title}`;
    },
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
};
</script>

<style lang="less" scoped>
.info {
  padding: 10px;
  .video {
    background: #fff;
    padding: 10px;
    margin: 0 0 10px 0;
    height: 225px;
  }
  .chat {
    background: #fff;
    padding: 10px;
    .chatList {
      border: 1px solid #ccc;
      min-height: 300px;
      margin: 0 0 10px 0;
      border-radius: 10px;
      padding: 5px 10px;
    }
    .chatInput {
      .el-button {
        width: 100%;
        padding: 13px 0;
      }
    }
  }
}
/deep/.video-js {
  height: 190px !important;
  border-radius: 10px;
}
</style>
